/*******************************************************************************
 * Copyright (c) 2012 IBM Corporation and others.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompanies this distribution.
 *  
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *
 *     Russell Boykin       - initial API and implementation
 *     Alberto Giammaria    - initial API and implementation
 *     Chris Peters         - initial API and implementation
 *     Gianluca Bernardini  - initial API and implementation
 *     Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)
 *
 * This file is generated by org.eclipse.lyo.oslc4j.codegenerator
 *******************************************************************************/

@OslcSchema ({
	@OslcNamespaceDefinition(prefix = OslcConstants.DCTERMS_NAMESPACE_PREFIX,             namespaceURI = OslcConstants.DCTERMS_NAMESPACE),
	@OslcNamespaceDefinition(prefix = OslcConstants.OSLC_CORE_NAMESPACE_PREFIX,           namespaceURI = OslcConstants.OSLC_CORE_NAMESPACE),
	@OslcNamespaceDefinition(prefix = OslcConstants.OSLC_DATA_NAMESPACE_PREFIX,           namespaceURI = OslcConstants.OSLC_DATA_NAMESPACE),
	@OslcNamespaceDefinition(prefix = OslcConstants.RDF_NAMESPACE_PREFIX,                 namespaceURI = OslcConstants.RDF_NAMESPACE),
	@OslcNamespaceDefinition(prefix = OslcConstants.RDFS_NAMESPACE_PREFIX,                namespaceURI = OslcConstants.RDFS_NAMESPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.BUGZILLA_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.BUGZILLA_NAMSPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.CHANGE_MANAGEMENT_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.CHANGE_MANAGEMENT_NAMSPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.DUBLIN_CORE_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.DUBLIN_CORE_NAMSPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.FOAF_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.FOAF_NAMSPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.OSLC_CORE_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.OSLC_CORE_NAMSPACE),
	@OslcNamespaceDefinition(prefix = BugzillaCachedAdaptorConstants.RDF_NAMSPACE_PREFIX, namespaceURI = BugzillaCachedAdaptorConstants.RDF_NAMSPACE)
})
package se.kth.md.it.bcm.resources;

import org.eclipse.lyo.oslc4j.core.annotation.OslcNamespaceDefinition;
import org.eclipse.lyo.oslc4j.core.annotation.OslcSchema;
import org.eclipse.lyo.oslc4j.core.model.OslcConstants;

import se.kth.md.it.bcm.BugzillaCachedAdaptorConstants;

